View Issue Details

IDProjectCategoryView StatusLast Update
0004524Talerdeployment and operationspublic2016-11-20 03:26
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004524: selenium test should always use a fresh docker instance
Description- this simplifies the logic (no need to check if we need to start a container if there is no running instance)
- it also leads to better reproducibility of the test, since there's no state lying around
TagsNo tags attached.

Activities

Marcello Stanisci

2016-11-08 14:45

manager   ~0011450

Getting the following error that prevents local tests on selenium. It happens after
3-4 times that the test gets succesfully launched, and needs a restart (so far) to
disappear... :

Traceback (most recent call last):
  File "wallet-webex/selenium/test.py", line 233, in <module>
    ret = client_setup(args)
  File "wallet-webex/selenium/test.py", line 36, in client_setup
    client = webdriver.Chrome(desired_capabilities=cap)
  File "/usr/lib/python3/dist-packages/selenium/webdriver/chrome/webdriver.py", line 67, in __init__
    desired_capabilities=desired_capabilities)
  File "/usr/lib/python3/dist-packages/selenium/webdriver/remote/webdriver.py", line 87, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "/usr/lib/python3/dist-packages/selenium/webdriver/remote/webdriver.py", line 141, in start_session
    'desiredCapabilities': desired_capabilities,
  File "/usr/lib/python3/dist-packages/selenium/webdriver/remote/webdriver.py", line 201, in execute
    self.error_handler.check_response(response)
  File "/usr/lib/python3/dist-packages/selenium/webdriver/remote/errorhandler.py", line 181, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: unknown error: cannot process extension #1
from unknown error: cannot write file
  (Driver info: chromedriver=2.22 (undefined),platform=Linux 3.16.0-4-686-pae x86)

Marcello Stanisci

2016-11-08 22:17

manager   ~0011455

Did not occur on laptop.. Currently blocked by 0004762.

Marcello Stanisci

2016-11-09 18:03

manager   ~0011465

Added a --ext-unpacked option aimed to load the extension directly from its
directory, so no need to compress+sign one. That fixed what shown in message 0011450.

Current problem is that selenium is not able to click the article on the blog homepage. Trying to follow instruction from http://stackoverflow.com/questions/11908249/debugging-element-is-not-clickable-at-point-error

Marcello Stanisci

2016-11-13 20:27

manager   ~0011473

Fixed as of 149cfd9, by calling

  $ docker restart container_chrome

before launching the actual selenium script.

Issue History

Date Modified Username Field Change
2016-05-23 16:58 Florian Dold New Issue
2016-05-31 09:39 Christian Grothoff Priority normal => low
2016-05-31 09:39 Christian Grothoff Severity minor => feature
2016-05-31 09:39 Christian Grothoff Status new => confirmed
2016-05-31 09:39 Christian Grothoff Product Version => 0.0
2016-06-11 21:58 Christian Grothoff Target Version => 0.3
2016-06-27 14:05 Marcello Stanisci Assigned To => Marcello Stanisci
2016-06-27 14:05 Marcello Stanisci Status confirmed => assigned
2016-10-10 08:30 Christian Grothoff Target Version 0.3 => 0.5
2016-11-07 09:57 Marcello Stanisci Priority low => high
2016-11-08 14:45 Marcello Stanisci Note Added: 0011450
2016-11-08 22:17 Marcello Stanisci Note Added: 0011455
2016-11-09 18:03 Marcello Stanisci Note Added: 0011465
2016-11-13 20:27 Marcello Stanisci Status assigned => resolved
2016-11-13 20:27 Marcello Stanisci Resolution open => fixed
2016-11-13 20:27 Marcello Stanisci Note Added: 0011473
2016-11-15 00:38 root Fixed in Version => 0.2
2016-11-15 00:38 root Target Version 0.5 => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed